TimeStamp (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.buf.TimeStamp class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.buf
Class TimeStamp

    java.lang.Object
      org.apache.tomcat.util.buf.TimeStamp

All Implemented Interfaces:
  java.io.Serializable

    public final class TimeStamp

extends java.lang.Object
implements java.io.Serializable

Main tool for object expiry. Marks creation and access time of an "expirable" object, and extra properties like "id", "valid", etc. Used for objects that expire - originally Sessions, but also Contexts, Servlets, cache - or any other object that expires.

Author:
  Costin Manolache
See Also:
  Serialized Form

Constructor Summary
`TimeStamp()`

Method Summary
`long` | `getCreationTime()`
`int` | `getId()` Each object can have an unique id, similar with name but providing faster access ( array vs. hashtable lookup )
`long` | `getLastAccessedTime()`
`long` | `getMaxInactiveInterval()` Inactive interval in millis - the time is computed in millis, convert to secs in the upper layer
`MessageBytes` | `getName()` Return the "name" of the timestamp.
`java.lang.Object` | `getParent()`
`long` | `getThisAccessedTime()`
`boolean` | `isNew()`
`boolean` | `isValid()`
`void` | `recycle()`
`void` | `setCreationTime(long time)`
`void` | `setId(int id)`
`void` | `setMaxInactiveInterval(long interval)`
`void` | `setNew(boolean isNew)`
`void` | `setParent(java.lang.Object o)` Returns the owner of this stamp ( the object that is time-stamped ).
`void` | `setValid(boolean isValid)`
`void` | `touch(long time)` Access notification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeStamp

    public TimeStamp()

Method Detail

### touch

    public void touch(long time)

  Access notification. This method takes a time parameter in order to allow callers to efficiently manage expensive calls to System.currentTimeMillis()

### getName

    public MessageBytes getName()

  Return the "name" of the timestamp. This can be used to associate unique identifier with each timestamped object. The name is a MessageBytes - i.e. a modifiable byte[] or char[].

### getId

    public int getId()

  Each object can have an unique id, similar with name but providing faster access ( array vs. hashtable lookup )

### setId

    public void setId(int id)

### setParent

    public void setParent(java.lang.Object o)

  Returns the owner of this stamp ( the object that is time-stamped ). For a

### getParent

    public java.lang.Object getParent()

### setCreationTime

    public void setCreationTime(long time)

### getLastAccessedTime

    public long getLastAccessedTime()

### getThisAccessedTime

    public long getThisAccessedTime()

### getMaxInactiveInterval

    public long getMaxInactiveInterval()

  Inactive interval in millis - the time is computed in millis, convert to secs in the upper layer

### setMaxInactiveInterval

    public void setMaxInactiveInterval(long interval)

### isValid

    public boolean isValid()

### setValid

    public void setValid(boolean isValid)

### isNew

    public boolean isNew()

### setNew

    public void setNew(boolean isNew)

### getCreationTime

    public long getCreationTime()

### recycle

    public void recycle()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.